version: '3.2'

services:
  spring-ci-advanced:
    build:
      context: ../../spring-ci-advanced
      args:
        PROJECT_VERSION: ${PROJECT_VERSION}
        JDK_BASE_IMAGE: ${JDK_BASE_IMAGE}
    image: "${IMAGE_REGISTRY_URL}/${PROJECT_CODE}/${IMAGE_TYPE}/spring-ci-advanced:${TAG}"
    container_name: "spring-ci-advanced"
    network_mode: "host"
    environment:
      TZ: "Asia/Ho_Chi_Minh"
    restart: always